summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Schmaus <flow@gentoo.org>2024-04-30 19:45:41 +0200
committerFlorian Schmaus <flow@gentoo.org>2024-04-30 19:45:41 +0200
commit40d8b1156d94b469d2ffc00d2f5c6f0ce628bec3 (patch)
treeaf337aa9a49b96e95389d3dd081d9de297d24c27
parenttexlive-module.eclass: exclude texlive-core man pages from being installed (diff)
downloadtex-overlay-40d8b1156d94b469d2ffc00d2f5c6f0ce628bec3.tar.gz
tex-overlay-40d8b1156d94b469d2ffc00d2f5c6f0ce628bec3.tar.bz2
tex-overlay-40d8b1156d94b469d2ffc00d2f5c6f0ce628bec3.zip
texlive-module.eclass: use ebegin and eend
Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--eclass/texlive-module.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 1ed039d..b02b2b8 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -531,10 +531,12 @@ texlive-module_src_install() {
grep_expressions+=(-e "/${f//./\\.}$")
done
+ ebegin "Installing man pages"
find texmf-dist/doc/man -type f -name '*.[0-9n]' -print |
grep -v "${grep_expressions[@]}" |
xargs -d '\n' --no-run-if-empty doman
- assert "error installing man pages"
+ nonfatal assert -n
+ eend $? || die "error installing man pages"
# Delete all man pages under texmf-dist/doc/man
find texmf-dist/doc/man -type f -name '*.[0-9n]' -delete ||